// This Test Port skeleton header file was generated by the
// TTCN-3 Compiler of the TTCN-3 Test Executor version 8.2.0
// for ebotbar (ebotbar@ebotbar-VirtualBox) on Mon Nov 14 16:26:18 2022

// Copyright (c) 2000-2025 Ericsson Telecom AB

// You may modify this file. Add your attributes and prototypes of your
// member functions here.

#ifndef PT__proc__addr_HH
#define PT__proc__addr_HH

#include "sensitive_data.hh"

namespace sensitive__data {

class PT__proc__addr : public PT__proc__addr_BASE {
public:
	PT__proc__addr(const char *par_port_name = NULL);
	~PT__proc__addr();

	void set_parameter(const char *parameter_name,
		const char *parameter_value);

private:
	/* void Handle_Fd_Event(int fd, boolean is_readable,
		boolean is_writable, boolean is_error); */
	void Handle_Fd_Event_Error(int fd);
	void Handle_Fd_Event_Writable(int fd);
	void Handle_Fd_Event_Readable(int fd);
	/* void Handle_Timeout(double time_since_last_call); */
protected:
	void user_map(const char *system_port, Map_Params& params);
	void user_unmap(const char *system_port, Map_Params& params);

	void user_start();
	void user_stop();

	void outgoing_call(const Sig_call& call_par,
		const INTEGER *destination_address);
	void outgoing_reply(const Sig_reply& reply_par,
		const INTEGER *destination_address);
	void outgoing_raise(const Sig_exception& raise_exception,
		const INTEGER *destination_address);
};

} /* end of namespace */

#endif
